Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.hibernate
Class PersistentReportJobMailNotification

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.PersistentReportJobMailNotification

    public class PersistentReportJobMailNotification

extends java.lang.Object

Version:
  $Id: PersistentReportJobMailNotification.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`PersistentReportJobMailNotification()`

Method Summary
`protected void` | `collectRecipients(java.util.List recipientsList, java.util.List addresses, byte type)`
`protected void` | `copyAddressesTo(ReportJobMailNotification mail)`
`void` | `copyFrom(ReportJobMailNotification mailNotification)`
`protected void` | `copyRecipientsFrom(ReportJobMailNotification mailNotification)`
`long` | `getId()`
`java.lang.String` | `getMessageText()`
`java.util.List` | `getRecipients()`
`byte` | `getResultSendType()`
`java.lang.String` | `getSubject()`
`int` | `getVersion()`
`boolean` | `isNew()`
`boolean` | `isSkipEmptyReports()`
`void` | `setId(long id)`
`void` | `setMessageText(java.lang.String messageText)`
`void` | `setRecipients(java.util.List toAddresses)`
`void` | `setResultSendType(byte resultSendType)`
`void` | `setSkipEmptyReports(boolean skipEmptyReports)`
`void` | `setSubject(java.lang.String subject)`
`void` | `setVersion(int version)`
`ReportJobMailNotification` | `toClient()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentReportJobMailNotification

    public PersistentReportJobMailNotification()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getMessageText

    public java.lang.String getMessageText()

### setMessageText

    public void setMessageText(java.lang.String messageText)

### getResultSendType

    public byte getResultSendType()

### setResultSendType

    public void setResultSendType(byte resultSendType)

### getSubject

    public java.lang.String getSubject()

### setSubject

    public void setSubject(java.lang.String subject)

### getRecipients

    public java.util.List getRecipients()

### setRecipients

    public void setRecipients(java.util.List toAddresses)

### copyFrom

    public void copyFrom(ReportJobMailNotification mailNotification)

### copyRecipientsFrom

    protected void copyRecipientsFrom(ReportJobMailNotification mailNotification)

### collectRecipients

    protected void collectRecipients(java.util.List recipientsList,
                                     java.util.List addresses,
                                     byte type)

### toClient

    public ReportJobMailNotification toClient()

### copyAddressesTo

    protected void copyAddressesTo(ReportJobMailNotification mail)

### isNew

    public boolean isNew()

### isSkipEmptyReports

    public boolean isSkipEmptyReports()

### setSkipEmptyReports

    public void setSkipEmptyReports(boolean skipEmptyReports)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.